Skip to content

Update Flow Step Choice

POST /rest/asset/v1/smartCampaign/{id}/flow/{stepId}/choice/{choiceId}.json

Permissions Read-Write Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/smartCampaign/{id}/flow/{stepId}/choice/{choiceId}.json
Tag: Smart Campaigns
Operation ID: updateSmartCampaignFlowStepChoiceUsingPOST

Updates a flow step choice's condition and attribute values. Required Permissions: Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes Id of the smart campaign
stepId integer (int32) Yes Id of the flow step
choiceId integer (int32) Yes Id of the flow step choice

Form-data parameters

Name Type Required Description Constraints
operator string No Condition operator, for example 'is', 'is not', 'contains'
conditionTypeId.id integer (int32) No Id of the condition type
conditionTypeId.type string No Type of the condition type enum: activity, attribute
conditionValues string No JSON array of condition values, for example ["San Francisco"]
attributes string No JSON object mapping attribute names to values

Example request

POST {{base_url}}/rest/asset/v1/smartCampaign/{{id}}/flow/{{stepId}}/choice/{{choiceId}}.json
Content-Type: application/x-www-form-urlencoded
Accept: application/json

operator={{operator}}
conditionTypeId.id={{conditionTypeId.id}}
conditionTypeId.type=activity
conditionValues={{conditionValues}}
attributes={{attributes}}

Responses

200 — OK

Schema: model: ResponseOfSmartCampaignFlowMutationResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "name": "Example name",
      "flow": {
        "steps": [
          {
            "id": 123,
            "activityTypeId": 123,
            "activityTypeName": "Example name",
            "stepChoice": [
              null
            ]
          }
        ]
      }
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.